import type IgcChatMessageComponent from './chat-message.js';
import type { IgcChatMessageAttachment } from './types.js';
export type ChatAcceptedFileTypes = {
    extensions: Set<string>;
    mimeTypes: Set<string>;
    wildcardTypes: Set<string>;
};
export declare const ChatFileTypeIcons: Map<string, string>;
export declare function parseAcceptedFileTypes(fileTypes: string): ChatAcceptedFileTypes;
export declare function isAcceptedFileType(file: File, accepted: ChatAcceptedFileTypes | null): boolean;
export declare function getChatAcceptedFiles(event: DragEvent, accepted: ChatAcceptedFileTypes | null): File[];
export declare function getIconName(fileType?: string): "attach_document" | "attach_image";
export declare function createAttachmentURL(attachment: IgcChatMessageAttachment): string;
export declare function getFileExtension(name: string): string;
export declare function isImageAttachment(attachment: IgcChatMessageAttachment | File): boolean;
export declare function chatMessageAdoptPageStyles(message: IgcChatMessageComponent): void;
